/{organizationId}/{mandateId}/crm/passes/{issuedPassId}Gets a specific issued pass with all of its details
Required permissions:
mandate.read
contactIssuedPass.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired issuedPassIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/passes/{issuedPassId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
Additional properties are not allowed.
revokedAtdate-time | nullrequired installationStatusstringrequired Options:
pendinginstalleduninstalledObjectId as string
createdAtdate-time | nulloptional printedAtdate-time | nullrequired printStatusstringrequired Options:
pendingprintedObjectId as string
validFromdate-time | nullrequired validTodate-time | nullrequired passTemplateNamestringrequired minLength: 1
maxLength: 40
passTemplatePrintablebooleanrequired Response
{
"_id": "000000000000000000000001",
"holder": {
"name": "string",
"nameNormalized": "string",
"nameSort": "string",
"email": "string",
"contact": "000000000000000000000001"
},
"revokedAt": "2026-06-15T22:30:00Z",
"revokedBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"data": {},
"dispatchStatus": {
"openedAt": "2026-06-15T22:30:00Z",
"sentAt": "2026-06-15T22:30:00Z",
"dispatchedBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"sendStatus": "none",
"sendError": "NO_CREDITS_ENOUGH",
"sendPrice": 1
},
"installationStatus": "pending",
"expressaIssuedPass": "000000000000000000000001",
"printedAt": "2026-06-15T22:30:00Z",
"printedBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"printStatus": "pending",
"receiptNumber": "string",
"passTemplate": "000000000000000000000001",
"validFrom": "2026-06-15T22:30:00Z",
"validTo": "2026-06-15T22:30:00Z",
"passTemplateName": "string",
"passTemplatePrintable": true
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}